{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, dialog_box, memberof\r\ndeclare subroutine create_note\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_sigs_equ\r\n$insert lsl_users_equ\r\n$insert ncr_equ\r\n\r\nequ CrLf$ to char(13):char(10)\r\n\r\n\r\nif memberof( @user4, 'ENGINEERING' ) then\r\n   * OK\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<micon$> = '!'\r\n   MsgInfo<mtext$> = 'You must be an engineer to sign for recipes.'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\nif ( .eng_sig->text = '' ) then\r\n   Valid = Dialog_Box('NDW_VERIFY_USER', @Window, @User4)\r\n    Valid = Valid<1>\r\n\r\n   if Valid then\r\n      .eng_sig->text = @user4\r\n      .eng_sig_name->text = xlate( 'LSL_USERS', @user4, 'FIRST_LAST', 'X' )\r\n      .status->value = 'A'\r\n      @@window->savewarn = 1\r\n   end\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'Do you wisht to inactivate this recipe?.'\r\n   MsgInfo<micon$> = '?'\r\n   MsgInfo<mtype$> = 'BNY'\r\n   Resp = msg( '', MsgInfo )\r\n   if Resp then\r\n     Valid = Dialog_Box('NDW_VERIFY_USER', @Window, @User4)\r\n     Valid = Valid<1>\r\n\r\n      if Valid then\r\n         .eng_sig->text = ''\r\n         .eng_sig_name->text = ''\r\n         .status->value = 'I'\r\n      end\r\n   end\r\nend\r\nreturn 0"
        }
    }
}